
Foreman - Feature #26644

provide a ClientCertificate class the plugins can use

04/18/2019 08:17 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6693

  

Description

Some plug-ins (e.g. Katello) need to access the client certificate from a request. We should provide an abstraction layer for the

plugins.

Associated revisions

Revision 745a74ec - 11/17/2019 06:44 AM - Timo Goebel

fixes #26644 - client certificate abstraction

History

#1 - 04/18/2019 08:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6693 added

#2 - 11/17/2019 06:44 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 11/17/2019 07:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset 745a74eccc19803dd284688ed466d437b9c84da6.

#4 - 02/17/2020 12:44 PM - Tomer Brisker

- Category set to Authentication
